Skip to main content
Resource Center/Hardware/Host Operations/PCI Device Operations

QueryVmInstancePciDeviceSpecRef

QueryVmInstancePciDeviceSpecRef

GET/zstack/v1/vm-instances/{vmInstanceUuid}/pci-device-specs
GET/zstack/v1/vm-instances/{vmInstanceUuid}/pci-device-specs/{pciSpecUuid}

Operation ID

QueryVmInstancePciDeviceSpecRef

Since

3.5.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

Path Parameters

  • vmInstanceUuid
    StringRequired

    Path parameter.

Query Parameters

  • q
    String

    Query conditions.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • error
    ErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The brief description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

    • cause
      ErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventories
    ListRequired

    See inventories.

    • vmInstanceUuid
      StringRequired

      The VM instance UUID.

    • pciSpecUuid
      StringRequired

      The UUID of the PCI device specification.

    • pciDeviceNumber
      IntegerRequired

      The number of PCI devices to be attached to the VM instance. Note that these devices must conform to the PCI device specification. Default value: 1.

    • createDate
      TimestampRequired

      The creation date.

    • lastOpDate
      TimestampRequired

      The last operation date.